# frozen_string_literal: true

require_relative "lib/axie/version"

Gem::Specification.new do |spec|
  spec.name          = "axie-ruby"
  spec.version       = Axie::VERSION
  spec.authors       = ["AJ Villalobos"]
  spec.email         = ["hi@ajvillalobos.com"]

  spec.summary       = "Ruby gem for interacting to commonly Axie endpoints"
  spec.description   = ""
  spec.homepage      = "https://github.com/iamajvillalobos/axie-ruby"
  spec.license       = "MIT"
  spec.required_ruby_version = ">= 2.4.0"

  # spec.metadata["allowed_push_host"] = "TODO: Set to 'https://mygemserver.com'"

  spec.metadata["homepage_uri"] = "https://github.com/iamajvillalobos/axie-ruby"
  spec.metadata["source_code_uri"] = "https://github.com/iamajvillalobos/axie-ruby"
  spec.metadata["changelog_uri"] = "https://github.com/iamajvillalobos/axie-ruby/blob/main/CHANGELOG.md"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Uncomment to register a new dependency of your gem
  # spec.add_dependency "example-gem", "~> 1.0"

  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html

  spec.add_dependency "faraday", "~> 1.7"
  spec.add_dependency "faraday_middleware", "~> 1.1"
end
